<?xml version="1.0" encoding="UTF-8"?>
<h:span xmlns:h="http://www.w3.org/1999/xhtml" 
    xmlns:xf="http://www.w3.org/2002/xforms"
    xmlns:xxf="http://orbeon.org/oxf/xml/xforms" 
    xmlns:ev="http://www.w3.org/2001/xml-events"
    xmlns:dcm="http://www.kb.dk/dcm">
    <h:legend>
        <xf:output value="if (m:head!='') then m:head else '[Ensemble]'"/> &#160;
        <dcm:element-buttons 
            triggers="up down" 
            nodeset="m:perfResList" 
            origin="instance('instrumentation')/m:perfResList[1]"
            index="repeat-ensemble"/><xf:trigger 
                appearance="minimal" class="non-standard_button">
                <xf:label><img src="{instance('parameters')/dcm:server_name}/editor/images/add.gif" alt="Add" title="Add row"/></xf:label>
                <xf:action ev:event="DOMActivate">
                    <xxf:show dialog="ensemble-menu"/>
                </xf:action>
            </xf:trigger>
        <xf:trigger appearance="minimal">
            <xf:label><h:img src="{instance('parameters')/dcm:server_name}/editor/images/remove.gif" alt="Delete" title="Delete row"/></xf:label>
            <xf:action ev:event="DOMActivate">
                <xf:delete nodeset="." at="index('repeat-ensemble')"/>
                <!-- remove references to deleted items -->
                <!--<xf:setvalue ref="$binding/m:castList/m:castItem/m:role/m:ref/@target[not(.=$binding//@xml:id)]" value="''"/>-->
            </xf:action>
        </xf:trigger>
        <dcm:attribute-editor ref="."/>
    </h:legend>
    <h:div class="vertical_spacer"/> 
    <h:div>
        <dcm:create 
            nodeset="m:head"
            label="Add ensemble heading"
            origin="instance('empty-instance')/m:meiHead/m:workDesc/m:work/m:expressionList/m:expression[1]/m:perfMedium/m:perfResList/m:perfResList/m:head"/>
        <xf:input ref="m:head" class="long">
            <xf:label class="fixed_width">Heading <h:a class="help">&#160;?<h:span 
                class="comment">An optional heading or name wich may be used with or 
                instead of a detailed listing of the instruments in the ensemble. 
                Use it to specify the type of ensemble, e.g. "Orchestra", "String quartet", 
                "Choir", to give a general heading like "Instrumentation" or 
                an orchestration string like "2.2.2.2/4.2.3.1/timp/str".<h:br/> 
                If no heading has been entered, 
                a suggested ensemble name is automatically inserted when choosing
                a standard ensemble code in the last field.
            </h:span></h:a></xf:label>
        </xf:input>
        <xf:select1 ref="@codedval">
            <xf:label>Standard code <h:a class="help">&#160;?<h:span 
                class="comment">Choosing a standard MARC code optimizes data  
                compatibility and interchangeability with other systems. <h:br/>
                A code should be supplied also when you do not want the ensemble 
                to have a heading (name).
            </h:span></h:a></xf:label>
            <xf:itemset nodeset="instance('ensembles')/m:perfResList">
                <xf:label><xf:output value="if (@codedval!='') then concat(@codedval, ' (',m:head,')') else '- Please select -'"/></xf:label>
                <xf:value ref="@codedval"/>
            </xf:itemset>
            <xf:action ev:event="xforms-value-changed">
                <xf:var name="ensemble" select="."></xf:var>
                <xf:action if="../m:head=''">
                    <!-- set ensemble name if empty -->
                    <xf:setvalue ref="../m:head" value="instance('ensembles')/m:perfResList[@codedval=$ensemble]"/>
                </xf:action>
            </xf:action>
        </xf:select1>
        <dcm:attribute-editor ref="m:head"/>
    </h:div>
 
</h:span>
